summaryrefslogtreecommitdiff
path: root/scripts/local-build.sh
diff options
context:
space:
mode:
Diffstat (limited to 'scripts/local-build.sh')
-rwxr-xr-xscripts/local-build.sh17
1 files changed, 17 insertions, 0 deletions
diff --git a/scripts/local-build.sh b/scripts/local-build.sh
new file mode 100755
index 0000000..f4381ef
--- /dev/null
+++ b/scripts/local-build.sh
@@ -0,0 +1,17 @@
+#!/bin/sh
+# Startdate: 2022-06-27
+# Author: bgstack15
+# Purpose: to start a dpkg-buildpackage locally, to ensure all the patches at least work.
+
+set -e;
+
+#####################################
+# Load settings
+# basically, dot-source the conf file.
+test -z "${librewolf_dpkg_conf}" && export librewolf_dpkg_conf="$( find "$( dirname "${0}" )" -maxdepth 2 -name "prep-librewolf-dpkg.conf" -print 2>/dev/null | head -n1 )"
+test ! -r "${librewolf_dpkg_conf}" && { echo "Unable to load config file, which should be named prep-librewolf-dpkg.conf. Aborted." 1>&2 ; exit 1 ; }
+. "${librewolf_dpkg_conf}"
+
+cd "${CI_PROJECT_DIR}/${firefox_version}/librewolf_${firefox_version}/" ; cp -pr ../debian .
+echo "If this next step gets to the mozbuild steps, the asset build process was successful, and the git repo can be pushed to gitlab and a CI build can be started."
+dpkg-buildpackage -b -us -uc
bgstack15